<?php
/*
  ===============================================================

  inGenio X
  http://ingenio.area421.com

  Created by 
  Julian Moreno Hidalgo (Software developer)
  Jesus Moreno Hidalgo (Communication's tree)

  inGenio X is a free software licensed under CC-GNU GPL

  ===============================================================
*/

	// valor "1" en desarrollo y "0" en internet
	ini_set("display_errors", "0");

	// Attempt...
	define("IGNX", 1);

	// funciones
	include("./ints/inc_funciones.php");

	// conectar
	$ingenio_conn = array();
	include("./igns/ingenio_conn.php");
	myconnect($ingenio_conn[0],$ingenio_conn[1],$ingenio_conn[2],$ingenio_conn[3]);

	// modo -> prev|...
	if (isset($_GET["modo"]))
	{
		$inGenio_X_modo = $_GET["modo"]; 
		define("INGENIO_X_MODO", $inGenio_X_modo);
	} else {
		define("INGENIO_X_MODO", "web");	
	}
		
	// configurar
	$qig = myquery("SELECT * FROM ".INGENIO,"[index=conf]");
	while ($row_qig = myfetch($qig))
	{
		define("CONFIG_".$row_qig["igID"], $row_qig["topic"]);
	}
	include("./ints/core/core.modr.php");

	// Smarty
	require 'paqs/smarty/Smarty.class.php'; 
	$smarty = new Smarty;
	
	// elegir idioma
	If (isset($_GET["len"]))
	{
		$len = $_GET["len"];
		
		if ( CONFIG_13 == "" || CONFIG_13 > 5 || !is_numeric(CONFIG_13))
		{
			$num_idiomas =  0 ;
		} else {
			$num_idiomas =  CONFIG_13 ;
		}
			
		define("NUM_IDIOMAS", $num_idiomas);
		
		if ($len <= $num_idiomas)
		{
				
			$qid = myquery("SELECT * FROM ".IDIOMAS,"[index=lens]");
			while ($row_qid = myfetch($qid))
			{
				define("LEN_".$row_qid["lenID"], $row_qid["topic_".$len]);
			}
								
			$idioma_actual = $len;
			define("IDIOMA_ACTUAL", $idioma_actual);
				
		} else {
			
			Redir (NOMBRE_DOMINIO.RUTA_INICIO."len".IGUAL."0");
		}
	} else {
		
		Redir (NOMBRE_DOMINIO.RUTA_INICIO."len".IGUAL."0");
	}

	// inicio
	session_start();

	// variable de inicio de array
	$sig = isset($_GET["sig"]) ? $_GET["sig"] : 0;
	if ($sig < 0) $sig = 0;
	// variable de pagina
	$pag = isset($_GET["pag"]) ? $_GET["pag"] : 1;
	
	// salida ruta absoluta para cambio de idioma
	$tpl_dir_idiomas = str_replace(RUTA_INICIO."len".IGUAL.IDIOMA_ACTUAL,"",$_SERVER['REQUEST_URI']);

	// los segundos de hoy
	$tpl_fecha_hoy = crear_fecha_hoy();
	// los dias de muestra
	$tpl_fecha_hoy_salida = ($tpl_fecha_hoy)-(86400*CONFIG_45);
	
	// update css js
	if (!isset($_SESSION["update_sess"]))
	{
		$tpl_update_css_js = "?update=".mktime(date('H'), date('i'), date('s'), date('m'), date('d'), date('Y')); 
	} else {
		$tpl_update_css_js = "";	
	}
	$_SESSION["update_sess"] = 1;

	// salir del administrador
	if (isset($_GET["sr"]))
	{
		setcookie("GX_ss", CONFIG_8, time()-(3600*24*15), "/");
		setcookie("GX_ps", CONFIG_9, time()-(3600*24*15), "/");
		setcookie("GX_us", "", time()-(3600*24*15), "/");
		setcookie("GX_prm", "", time()-(3600*24*15), "/");
		$_SESSION["log"] = "";
		$_SESSION["pass"] = "";
		$_SESSION["lv"] = "";
		unset($_SESSION["log"]);
		unset($_SESSION["pass"]);
		unset($_SESSION["lv"]);
		
		Redir (NOMBRE_DOMINIO.RUTA_INICIO."len".IGUAL.IDIOMA_ACTUAL);
	}

	// salir de intranet
	if (isset($_GET["sri"]))
	{

		setcookie("GX_int", "", time()-(86400), "/");
		setcookie("GX_iss", "", time()-(86400), "/");
		$_SESSION["GX_int"] = "";
		$_SESSION["GX_iss"] = "";
		unset($_SESSION["GX_int"]);
		unset($_SESSION["GX_iss"]);
		
		Redir (NOMBRE_DOMINIO.RUTA_INICIO."len".IGUAL.IDIOMA_ACTUAL);
	}

	// web oculta
	if (CONFIG_52 == 1 && INGENIO_X_MODO == "web")
	{

		// extras
		include("./ints/xtras/xtras_web.php");
		include("./ints/xtras/xtras_stats.php");
		// tpl
		require("./ints/tpls/tpl_weboculta.php");
		
		exit;
	}
	
	// plugins
	include("./ints/inc_plugins.php");
	
	// includes gral
	include("./ints/pros/pro_titulo.php");
	include("./ints/pros/pro_buscador.php");
	include("./ints/pros/pro_comentarios.php");
	include("./ints/pros/pro_votos.php");
	include("./ints/pros/pro_addnt.php");
	include("./ints/pros/pro_intranet.php");
	include("./ints/pros/pro_comentarios_priv.php");
	include("./ints/pros/pro_comentarios_prd.php");
	include("./ints/pros/pro_votos_prd.php");
	include("./ints/pros/pro_carro.php");
	include("./ints/pros/pro_carro_pedido.php");
	
	// contenido var
	$inGenio_X_var = './ints/vars/var_portada.php';
	$inGenio_X_tpl = 'items_portada.tpl.html';
	
	if (isset($_GET["ak"]))
	{
		$inGenio_X_var = './ints/vars/var_ak.php';
		$inGenio_X_tpl = 'var_links.tpl.html';
	}
	if (isset($_GET["ap"]))
	{
		$inGenio_X_var = './ints/vars/var_ap.php';
		$inGenio_X_tpl = 'var_paginas.tpl.html';
	}
	if (isset($_GET["at"]) && isset($_GET["ent"]) && $_GET["ent"] > 0)
	{
		$inGenio_X_var = './ints/vars/var_at.php';
		$inGenio_X_tpl = 'var_traducciones.tpl.html';
	}
	if (isset($_GET["bus"]))
	{	
		$inGenio_X_var = './ints/vars/var_bus.php';
		$inGenio_X_tpl = 'items_buscar.tpl.html';
	}
	if (isset($_GET["cat"]) && !isset($_GET["ent"]) && $_GET["cat"] > 0)
	{
		$inGenio_X_var = './ints/vars/var_cat.php';
		$inGenio_X_tpl = 'items_categorias.tpl.html';
	}
	if (isset($_GET["des"]))
	{
		$inGenio_X_var = './ints/vars/var_des.php';
		$inGenio_X_tpl = 'items_destacados.tpl.html';
	}
	if (isset($_GET["ent"]) && $_GET["ent"] > 0 && !isset($_GET["at"]))
	{
		$inGenio_X_var = './ints/vars/var_ent.php';
		$inGenio_X_tpl = 'var_item.tpl.html';
	}
	if (isset($_GET["rp"]) && $_GET["rp"] > 0)
	{
		$inGenio_X_var = './ints/vars/var_mt_rp.php';
		$inGenio_X_tpl = 'var_reproductor.tpl.html';
	}
	if (isset($_GET["priv"]))
	{
		$inGenio_X_var = './ints/vars/var_priv.php';
		$inGenio_X_tpl = 'var_archivos_priv.tpl.html';
	}
	if (isset($_GET["tq"]))
	{
		$inGenio_X_var = './ints/vars/var_tq.php';
		$inGenio_X_tpl = 'var_etiquetas.tpl.html';
	}
	if (isset($_GET["vm"]))
	{
		$inGenio_X_var = './ints/vars/var_vm.php';
		$inGenio_X_tpl = 'items_vermas.tpl.html';
	}
	if (isset($_GET["ad"]))
	{
		$inGenio_X_var = './ints/vars/var_ad.php';
		$inGenio_X_tpl = 'form_add_items.tpl.html';
	}
	if (isset($_GET["adt"]))
	{
		$inGenio_X_var = './ints/vars/var_adt.php';
		$inGenio_X_tpl = 'form_add_traduccion.tpl.html';
	}
	if (isset($_GET["can"]) && $_GET["can"] > 0)
	{
		$inGenio_X_var = './ints/vars/var_can.php';
		$inGenio_X_tpl = 'listado_canales.tpl.html';
	}
	if (isset($_GET["fpp"]) && $_GET["fpp"] > 0)
	{
		$inGenio_X_var = './ints/vars/var_fpp.php';
		$inGenio_X_tpl = 'form_intranet.tpl.html';
	}
	
	// TIENDA
	if (isset($_GET["cal"]) && !isset($_GET["prd"]) && $_GET["cal"] > 0)
	{
		$inGenio_X_var = './ints/vars/var_cal.php';
		$inGenio_X_tpl = 'items_catalogos.tpl.html';
	}
	if (isset($_GET["prd"]) && $_GET["prd"] > 0 && !isset($_GET["at"]))
	{
		$inGenio_X_var = './ints/vars/var_prd.php';
		$inGenio_X_tpl = 'var_item_producto.tpl.html';
	}
	if (isset($_GET["at"]) && isset($_GET["prd"]) && $_GET["prd"] > 0)
	{
		$inGenio_X_var = './ints/vars/var_at_prd.php';
		$inGenio_X_tpl = 'var_traducciones_producto.tpl.html';
	}
	if (isset($_GET["bup"]))
	{	
		$inGenio_X_var = './ints/vars/var_bup.php';
		$inGenio_X_tpl = 'items_buscar_producto.tpl.html';
	}
	if (isset($_GET["sc"]))
	{	
		$inGenio_X_var = './ints/vars/var_sc.php';
		$inGenio_X_tpl = 'var_carro.tpl.html';
	}
	if (isset($_GET["scc"]))
	{	
		$inGenio_X_var = './ints/vars/var_scc.php';
		$inGenio_X_tpl = 'form_carro_pedido.tpl.html';
	}
	if (isset($_GET["scv"]))
	{	
		$inGenio_X_var = './ints/vars/var_scv.php';
		$inGenio_X_tpl = 'var_carro_pago.tpl.html';
	}
	// FIN TIENDA

	// INTRANET
	if ((isset($_COOKIE["GX_int"]) && isset($_COOKIE["GX_iss"])) || (isset($_SESSION["GX_int"]) && isset($_SESSION["GX_iss"])))
	{
	
		// session
		$tpl_intranet_sess = 1;
		
		if (isset($_GET["catp"]) && !isset($_GET["entp"]) && $_GET["catp"] > 0)
		{
			$inGenio_X_var = './ints/vars/var_catp.php';
			$inGenio_X_tpl = 'items_categorias_priv.tpl.html';
		}
		if (isset($_GET["entp"]) && $_GET["entp"] > 0 && !isset($_GET["at"]))
		{
			$inGenio_X_var = './ints/vars/var_entp.php';
			$inGenio_X_tpl = 'var_item_priv.tpl.html';
		}
		if (isset($_GET["rpp"]) && $_GET["rpp"] > 0)
		{
			$inGenio_X_var = './ints/vars/var_mt_rpp.php';
			$inGenio_X_tpl = 'var_reproductor_priv.tpl.html';
		}
	
	} else {
		
		if (isset($_GET["catp"]) || isset($_GET["entp"]) || isset($_GET["rpp"]))
		{
			Redir (RUTA_INICIO."len".IGUAL."0".AMPER."fpp".IGUAL."1");		
		}
	
	}
	// FIN INTRANET

	// Smarty -> contenido
	$smarty->assign("inGenio_X_tpl", $inGenio_X_tpl);
	
	// contenido inc
	include($inGenio_X_var);		
	
	// extras
	if (INGENIO_X_MODO == "web")
	{	
		include("./ints/xtras/xtras_web.php");
		
		// NO stats con admin
		if (!isset($tpl_enadmin))
		{
			include("./ints/xtras/xtras_stats.php");
		}
	
	}
		
	// tpl
	require("./ints/tpls/tpl_cuerpo.php");
	
	exit;

?>